* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/linkchecker/, net-analyzer/linkchecker/files/
@ 2018-01-11 8:42 Amy Liffey
0 siblings, 0 replies; 5+ messages in thread
From: Amy Liffey @ 2018-01-11 8:42 UTC (permalink / raw
To: gentoo-commits
commit: 794598350e101bdff60a21ba1672c942a7ac96ae
Author: Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Mon Jan 8 06:54:54 2018 +0000
Commit: Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Thu Jan 11 08:40:24 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79459835
net-analyzer/linkchecker: fix using newer dev-python/requests
Closes: #6791
Closes: https://bugs.gentoo.org/643688
Package-Manager: Portage-2.3.18, Repoman-2.3.6
.../files/linkchecker-9.3.1-requests.patch | 46 ++++++++++++++++++++++
...er-9.3.1.ebuild => linkchecker-9.3.1-r1.ebuild} | 5 ++-
2 files changed, 49 insertions(+), 2 deletions(-)
diff --git a/net-analyzer/linkchecker/files/linkchecker-9.3.1-requests.patch b/net-analyzer/linkchecker/files/linkchecker-9.3.1-requests.patch
new file mode 100644
index 00000000000..56c57fa3799
--- /dev/null
+++ b/net-analyzer/linkchecker/files/linkchecker-9.3.1-requests.patch
@@ -0,0 +1,46 @@
+From 9b12b5d66fa9b832f4d9e19a0b9dcb92607ee3e5 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Antoine=20Beaupr=C3=A9?= <anarcat@debian.org>
+Date: Mon, 2 Oct 2017 20:18:54 -0400
+Subject: [PATCH] workaround new limitation in requests
+
+newer requests do not expose the internal SSL socket object so we
+cannot verify certificates. there was work to allow custom
+verification routines which we could use, but this never finished:
+
+https://github.com/shazow/urllib3/pull/257
+
+so right now, just treat missing socket information as if the cert was
+missing.
+
+Closes: #76
+---
+ linkcheck/checker/httpurl.py | 9 ++++++++-
+ 1 file changed, 8 insertions(+), 1 deletion(-)
+
+diff --git a/linkcheck/checker/httpurl.py b/linkcheck/checker/httpurl.py
+index 161619c5..bde77c70 100644
+--- a/linkcheck/checker/httpurl.py
++++ b/linkcheck/checker/httpurl.py
+@@ -194,6 +194,10 @@ def _get_ssl_sock(self):
+ """Get raw SSL socket."""
+ assert self.scheme == u"https", self
+ raw_connection = self.url_connection.raw._connection
++ if not raw_connection:
++ # this happens with newer requests versions:
++ # https://github.com/linkcheck/linkchecker/issues/76
++ return None
+ if raw_connection.sock is None:
+ # sometimes the socket is not yet connected
+ # see https://github.com/kennethreitz/requests/issues/1966
+@@ -204,7 +208,10 @@ def _add_ssl_info(self):
+ """Add SSL cipher info."""
+ if self.scheme == u'https':
+ sock = self._get_ssl_sock()
+- if hasattr(sock, 'cipher'):
++ if not sock:
++ log.debug(LOG_CHECK, "cannot extract SSL certificate from connection")
++ self.ssl_cert = None
++ elif hasattr(sock, 'cipher'):
+ self.ssl_cert = sock.getpeercert()
+ else:
+ # using pyopenssl
diff --git a/net-analyzer/linkchecker/linkchecker-9.3.1.ebuild b/net-analyzer/linkchecker/linkchecker-9.3.1-r1.ebuild
similarity index 93%
rename from net-analyzer/linkchecker/linkchecker-9.3.1.ebuild
rename to net-analyzer/linkchecker/linkchecker-9.3.1-r1.ebuild
index 512db84e331..109499f785b 100644
--- a/net-analyzer/linkchecker/linkchecker-9.3.1.ebuild
+++ b/net-analyzer/linkchecker/linkchecker-9.3.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -19,7 +19,7 @@ IUSE="gnome sqlite X"
RDEPEND="
virtual/python-dnspython[${PYTHON_USEDEP}]
- <dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
gnome? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
X? (
dev-python/PyQt4[X,help,${PYTHON_USEDEP}]
@@ -39,6 +39,7 @@ python_prepare_all() {
"${FILESDIR}/${PN}-9.3-bash-completion.patch"
"${FILESDIR}/${PN}-9.3-desktop.patch"
"${FILESDIR}/${PN}-9.3.1-build-fix.patch"
+ "${FILESDIR}/${PN}-9.3.1-requests.patch"
)
distutils-r1_python_prepare_all
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/linkchecker/, net-analyzer/linkchecker/files/
@ 2021-12-24 6:47 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2021-12-24 6:47 UTC (permalink / raw
To: gentoo-commits
commit: 93c84c844c18bffebfc7751628cfac0666f4429d
Author: Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Dec 24 06:34:35 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 24 06:47:02 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93c84c84
net-analyzer/linkchecker: bump to 10.1.0
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-analyzer/linkchecker/Manifest | 1 +
.../files/linkchecker-10.1.0-version.patch | 32 ++++++++++++
net-analyzer/linkchecker/linkchecker-10.1.0.ebuild | 60 ++++++++++++++++++++++
3 files changed, 93 insertions(+)
diff --git a/net-analyzer/linkchecker/Manifest b/net-analyzer/linkchecker/Manifest
index 2e7f18ffea10..9e0c64f510b3 100644
--- a/net-analyzer/linkchecker/Manifest
+++ b/net-analyzer/linkchecker/Manifest
@@ -1,2 +1,3 @@
DIST linkchecker-10.0.0_pre20200729.tar.gz 401694 BLAKE2B f1a0918c30b292e569fd3168eee152e63ba7266f0ef848a55601e0205d8b0521cb653db77c8dc7b5d1140b493c95e50d76acba44e961586159f2b691e6898353 SHA512 35c49ca5de06688667e39f4eb0d8a048e565fe460a4aff125a484e3966c62cbea95fd95154cb2b544c0f4987f66012793726cf890d604321ed83970654a318f6
DIST linkchecker-10.0.1.tar.gz 512649 BLAKE2B f0373da6c1b4c18394500f32936065dca8b4a92532f5da6f15a4470c2e458df147009599939a41fc36f5ae4941c0fdd97aa9bf77a7237544f3df3bf5772ed884 SHA512 2d57092591187f62f7ae685b867ab02d08108ce3a687ea7da444e57cbe5e9f74220747beee322ccfec0ce4319c95cc37ba0908ba8fae6a8d88bdb0928d099099
+DIST linkchecker-10.1.0.tar.gz 521214 BLAKE2B 767c1176751a2011e0e175eb7c9e7b3704bda0d469bad7b38ac1481db62b470fbb69a62bf11316699e15fd1ca822f801a1237c798754353aba5c559ccd9d3274 SHA512 a6ba57ef9c617ece2c53d54cf460571561bfa60831e038e31e520e7fbee789566616b6e5b0b98529376510ef4e228bebdb6e6e011fb986b74d837ebc69323085
diff --git a/net-analyzer/linkchecker/files/linkchecker-10.1.0-version.patch b/net-analyzer/linkchecker/files/linkchecker-10.1.0-version.patch
new file mode 100644
index 000000000000..f0132a8a8089
--- /dev/null
+++ b/net-analyzer/linkchecker/files/linkchecker-10.1.0-version.patch
@@ -0,0 +1,32 @@
+diff --git a/setup.py b/setup.py
+index c00bdc0..8493d09 100755
+--- a/setup.py
++++ b/setup.py
+@@ -56,6 +56,7 @@ else:
+
+ # the application name
+ AppName = "LinkChecker"
++AppVersion = "LINKCHECKER_VERSION"
+ Description = "check links in web documents or full websites"
+
+ RELEASE_DATE_FILE = "_release_date"
+@@ -340,10 +341,7 @@ if os.name == "posix":
+
+ setup(
+ name=AppName,
+- use_scm_version={
+- "local_scheme": "node-and-timestamp",
+- "version_scheme": "post-release",
+- },
++ version=AppVersion,
+ description=Description,
+ keywords="link,url,site,checking,crawling,verification,validation",
+ author=myname,
+@@ -383,7 +381,6 @@ setup(
+ options={},
+ # Requirements, usable with setuptools or the new Python packaging module.
+ python_requires=">= 3.6",
+- setup_requires=["setuptools_scm"],
+ install_requires=[
+ "importlib_metadata;python_version<'3.8'",
+ "requests >= 2.4",
diff --git a/net-analyzer/linkchecker/linkchecker-10.1.0.ebuild b/net-analyzer/linkchecker/linkchecker-10.1.0.ebuild
new file mode 100644
index 000000000000..c839792807fa
--- /dev/null
+++ b/net-analyzer/linkchecker/linkchecker-10.1.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7..10} )
+PYTHON_REQ_USE="sqlite?"
+
+inherit bash-completion-r1 distutils-r1 optfeature
+
+DESCRIPTION="Check websites for broken links"
+HOMEPAGE="https://github.com/linkcheck/linkchecker"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/linkcheck/linkchecker.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/linkchecker/linkchecker/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="sqlite"
+# requires libs not present in portage yet
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/dnspython[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-9.3-bash-completion.patch"
+ "${FILESDIR}/${PN}-10.1.0-version.patch"
+)
+
+DOCS=(
+ doc/changelog.txt
+ doc/upgrading.txt
+)
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed -e "s/LINKCHECKER_VERSION/${PV}/g" -i setup.py || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newbashcomp config/linkchecker-completion ${PN}
+}
+
+pkg_postinst() {
+ optfeature "bash-completion support" dev-python/argcomplete[${PYTHON_USEDEP}]
+ optfeature "Virus scanning" app-antivirus/clamav
+ optfeature "Geo IP support" dev-python/geoip-python[${PYTHON_USEDEP}]
+ optfeature "GNOME proxy settings support" dev-python/pygobject[${PYTHON_USEDEP}]
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/linkchecker/, net-analyzer/linkchecker/files/
@ 2019-02-18 21:24 Pacho Ramos
0 siblings, 0 replies; 5+ messages in thread
From: Pacho Ramos @ 2019-02-18 21:24 UTC (permalink / raw
To: gentoo-commits
commit: 08bb86fb332c5a90aa41e52d0a609a2fb4ca57da
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 18 21:17:59 2019 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Mon Feb 18 21:23:45 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08bb86fb
net-analyzer/linkchecker: Drop old
Package-Manager: Portage-2.3.61, Repoman-2.3.12
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
net-analyzer/linkchecker/Manifest | 1 -
.../files/linkchecker-9.2-unbundle.patch | 30 ----------
.../files/linkchecker-9.3.1-build-fix.patch | 14 -----
.../files/linkchecker-9.3.1-requests.patch | 46 ---------------
.../linkchecker/linkchecker-9.3.1-r1.ebuild | 69 ----------------------
5 files changed, 160 deletions(-)
diff --git a/net-analyzer/linkchecker/Manifest b/net-analyzer/linkchecker/Manifest
index 667d05c1cc1..b02b528ba45 100644
--- a/net-analyzer/linkchecker/Manifest
+++ b/net-analyzer/linkchecker/Manifest
@@ -1,2 +1 @@
-DIST linkchecker-9.3.1.tar.gz 779286 BLAKE2B eec374a3455b5348533b29b03ab14558dd19a20e1058947eed9d8027a8b1705b63525e6b8fcf2c4feb59a782ca0e0ad8567e321ca4679320e9d6f256e14df990 SHA512 355c9d262502e123732807b5aaabc17060d267de44a6dc1fee9dd6655c56320ded0c1ff638d985c2dbec366d15803cfb78fae4c1a9943de11c5b4292f5a99305
DIST linkchecker-9.4.0.tar.gz 489909 BLAKE2B 1c9d9af96778f9d2b542a078ba9da8751d6f7bc170809d5eefef6e8e2d5587e969f1cba3d6ae116b6de981949dd638b0d78fc416ce5055b3156da308b5a95d67 SHA512 3423f710a46d921c4387ffcfe1a8632cb889bcfdb4d56cbabcae87ca41547221e854546efd6e440e798ea85531c34a35f3ab779cd6bc2b6e63095015ad0537ba
diff --git a/net-analyzer/linkchecker/files/linkchecker-9.2-unbundle.patch b/net-analyzer/linkchecker/files/linkchecker-9.2-unbundle.patch
deleted file mode 100644
index 598f856b000..00000000000
--- a/net-analyzer/linkchecker/files/linkchecker-9.2-unbundle.patch
+++ /dev/null
@@ -1,30 +0,0 @@
- setup.py | 7 -------
- 1 file changed, 7 deletions(-)
-
-diff --git a/setup.py b/setup.py
-old mode 100755
-new mode 100644
-index dc30a7d..d62622b
---- a/setup.py
-+++ b/setup.py
-@@ -900,9 +900,6 @@ o a command line, GUI and web interface
- 'py2exe': MyPy2exe,
- 'py2app': MyPy2app,
- },
-- package_dir = {
-- 'linkcheck_dns.dns': 'third_party/dnspython/dns',
-- },
- packages = [
- 'linkcheck',
- 'linkcheck.bookmarks',
-@@ -917,10 +914,6 @@ o a command line, GUI and web interface
- 'linkcheck.network',
- 'linkcheck.parser',
- 'linkcheck.plugins',
-- 'linkcheck_dns.dns',
-- 'linkcheck_dns.dns.rdtypes',
-- 'linkcheck_dns.dns.rdtypes.ANY',
-- 'linkcheck_dns.dns.rdtypes.IN',
- ],
- ext_modules = [
- Extension('linkcheck.HtmlParser.htmlsax',
diff --git a/net-analyzer/linkchecker/files/linkchecker-9.3.1-build-fix.patch b/net-analyzer/linkchecker/files/linkchecker-9.3.1-build-fix.patch
deleted file mode 100644
index bcfd2cc800e..00000000000
--- a/net-analyzer/linkchecker/files/linkchecker-9.3.1-build-fix.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff --git a/setup.py b/setup.py
-index b42ed8c..ec206e6 100755
---- a/setup.py
-+++ b/setup.py
-@@ -654,8 +654,7 @@ myemail = "bastian.kleineidam@web.de"
-
- data_files = [
- ('share/linkchecker',
-- ['config/linkcheckerrc',
-- 'doc/html/lccollection.qhc', 'doc/html/lcdoc.qch']),
-+ ['config/linkcheckerrc']),
- ('share/linkchecker/examples',
- ['cgi-bin/lconline/leer.html.en',
- 'cgi-bin/lconline/leer.html.de',
diff --git a/net-analyzer/linkchecker/files/linkchecker-9.3.1-requests.patch b/net-analyzer/linkchecker/files/linkchecker-9.3.1-requests.patch
deleted file mode 100644
index 56c57fa3799..00000000000
--- a/net-analyzer/linkchecker/files/linkchecker-9.3.1-requests.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-From 9b12b5d66fa9b832f4d9e19a0b9dcb92607ee3e5 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Antoine=20Beaupr=C3=A9?= <anarcat@debian.org>
-Date: Mon, 2 Oct 2017 20:18:54 -0400
-Subject: [PATCH] workaround new limitation in requests
-
-newer requests do not expose the internal SSL socket object so we
-cannot verify certificates. there was work to allow custom
-verification routines which we could use, but this never finished:
-
-https://github.com/shazow/urllib3/pull/257
-
-so right now, just treat missing socket information as if the cert was
-missing.
-
-Closes: #76
----
- linkcheck/checker/httpurl.py | 9 ++++++++-
- 1 file changed, 8 insertions(+), 1 deletion(-)
-
-diff --git a/linkcheck/checker/httpurl.py b/linkcheck/checker/httpurl.py
-index 161619c5..bde77c70 100644
---- a/linkcheck/checker/httpurl.py
-+++ b/linkcheck/checker/httpurl.py
-@@ -194,6 +194,10 @@ def _get_ssl_sock(self):
- """Get raw SSL socket."""
- assert self.scheme == u"https", self
- raw_connection = self.url_connection.raw._connection
-+ if not raw_connection:
-+ # this happens with newer requests versions:
-+ # https://github.com/linkcheck/linkchecker/issues/76
-+ return None
- if raw_connection.sock is None:
- # sometimes the socket is not yet connected
- # see https://github.com/kennethreitz/requests/issues/1966
-@@ -204,7 +208,10 @@ def _add_ssl_info(self):
- """Add SSL cipher info."""
- if self.scheme == u'https':
- sock = self._get_ssl_sock()
-- if hasattr(sock, 'cipher'):
-+ if not sock:
-+ log.debug(LOG_CHECK, "cannot extract SSL certificate from connection")
-+ self.ssl_cert = None
-+ elif hasattr(sock, 'cipher'):
- self.ssl_cert = sock.getpeercert()
- else:
- # using pyopenssl
diff --git a/net-analyzer/linkchecker/linkchecker-9.3.1-r1.ebuild b/net-analyzer/linkchecker/linkchecker-9.3.1-r1.ebuild
deleted file mode 100644
index dd72dc62cfd..00000000000
--- a/net-analyzer/linkchecker/linkchecker-9.3.1-r1.ebuild
+++ /dev/null
@@ -1,69 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="sqlite?"
-
-inherit bash-completion-r1 distutils-r1 eutils
-
-DESCRIPTION="Check websites for broken links"
-HOMEPAGE="https://github.com/linkcheck/linkchecker"
-SRC_URI="https://github.com/linkcheck/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86 ~ppc-macos ~x64-solaris"
-IUSE="gnome sqlite"
-
-RDEPEND="
- dev-python/requests[${PYTHON_USEDEP}]
- virtual/python-dnspython[${PYTHON_USEDEP}]
- gnome? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
-"
-DEPEND=""
-
-RESTRICT="test"
-
-python_prepare_all() {
- local PATCHES=(
- "${FILESDIR}/${PN}-9.2-unbundle.patch"
- "${FILESDIR}/${PN}-9.3-bash-completion.patch"
- "${FILESDIR}/${PN}-9.3.1-build-fix.patch"
- "${FILESDIR}/${PN}-9.3.1-requests.patch"
- )
-
- distutils-r1_python_prepare_all
-}
-
-python_install_all() {
- delete_gui() {
- rm -rf \
- "${ED}"/usr/bin/linkchecker-gui* \
- "${ED}"/$(python_get_sitedir)/linkcheck/gui* || die
- }
-
- DOCS=(
- doc/upgrading.txt
- doc/python3.txt
- doc/changelog.txt
- doc/development.txt
- )
- distutils-r1_python_install_all
-
- python_foreach_impl delete_gui
- rm -f "${ED}"/usr/share/applications/linkchecker*.desktop || die
-
- newicon doc/html/logo64x64.png ${PN}.png
-
- docinto html
- dodoc doc/html/*
- newbashcomp config/linkchecker-completion ${PN}
-}
-
-pkg_postinst() {
- optfeature "bash-completion support" dev-python/argcomplete[${PYTHON_USEDEP}]
- optfeature "Virus scanning" app-antivirus/clamav
- optfeature "Geo IP support" dev-python/geoip-python[${PYTHON_USEDEP}]
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/linkchecker/, net-analyzer/linkchecker/files/
@ 2017-10-15 21:11 Patrice Clement
0 siblings, 0 replies; 5+ messages in thread
From: Patrice Clement @ 2017-10-15 21:11 UTC (permalink / raw
To: gentoo-commits
commit: 3daf4a7b1c4e485e0679b4abdd7cead0ee3f9a45
Author: Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Wed Oct 11 09:53:58 2017 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Oct 15 21:11:16 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3daf4a7b
net-analyzer/linkchecker: version bump to 9.3.1.
Package-Manager: Portage-2.3.10, Repoman-2.3.3
Closes: https://github.com/gentoo/gentoo/pull/5916
net-analyzer/linkchecker/Manifest | 1 +
.../files/linkchecker-9.3.1-build-fix.patch | 14 +++++++++++
net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild | 2 +-
...cker-9.3-r2.ebuild => linkchecker-9.3.1.ebuild} | 27 ++++++++--------------
4 files changed, 26 insertions(+), 18 deletions(-)
diff --git a/net-analyzer/linkchecker/Manifest b/net-analyzer/linkchecker/Manifest
index 05bbc69fa0d..773d88e95e5 100644
--- a/net-analyzer/linkchecker/Manifest
+++ b/net-analyzer/linkchecker/Manifest
@@ -1 +1,2 @@
DIST LinkChecker-9.3.tar.gz 719896 SHA256 ee0aa60de440fdcf8587ddebf1f691bc777a32d8d4f119beed63f405dc56176d SHA512 26686e5373aaa942b631b5184f8bda8fbe1410c8875bf8499a2b61dc18b7bdfa29a3c18edf98c28dc189a493a3f5794a0020a0211b7d5d3814b33994603dcc59 WHIRLPOOL 6b0b41d3edacafba6ae5df5b0f4ccf1fb5877c938acdd2d66c443bf10c43fcc9213f08cfff212a1a259d9f767138cd04fc1c481db1594d426784b0ce5702ee5f
+DIST linkchecker-9.3.1.tar.gz 779286 SHA256 612728431204e1cab808d633b6f3751be67f9f5ac0cf582be248352bc1a8408c SHA512 355c9d262502e123732807b5aaabc17060d267de44a6dc1fee9dd6655c56320ded0c1ff638d985c2dbec366d15803cfb78fae4c1a9943de11c5b4292f5a99305 WHIRLPOOL 90310eaf43d7e5c2b6af530333a46c6d834cc845a4856ad51c26000be2c42c865dfbf45fd2a2629dff253c4584724a43bfb6a85b23a8aa1e6c594136556957e5
diff --git a/net-analyzer/linkchecker/files/linkchecker-9.3.1-build-fix.patch b/net-analyzer/linkchecker/files/linkchecker-9.3.1-build-fix.patch
new file mode 100644
index 00000000000..bcfd2cc800e
--- /dev/null
+++ b/net-analyzer/linkchecker/files/linkchecker-9.3.1-build-fix.patch
@@ -0,0 +1,14 @@
+diff --git a/setup.py b/setup.py
+index b42ed8c..ec206e6 100755
+--- a/setup.py
++++ b/setup.py
+@@ -654,8 +654,7 @@ myemail = "bastian.kleineidam@web.de"
+
+ data_files = [
+ ('share/linkchecker',
+- ['config/linkcheckerrc',
+- 'doc/html/lccollection.qhc', 'doc/html/lcdoc.qch']),
++ ['config/linkcheckerrc']),
+ ('share/linkchecker/examples',
+ ['cgi-bin/lconline/leer.html.en',
+ 'cgi-bin/lconline/leer.html.de',
diff --git a/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild b/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild
index e0b3d0f0fb5..dd9526e518a 100644
--- a/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild
+++ b/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild
@@ -22,7 +22,7 @@ IUSE="gnome sqlite X"
RDEPEND="
virtual/python-dnspython[${PYTHON_USEDEP}]
- >=dev-python/requests-2.2.1[${PYTHON_USEDEP}]
+ <dev-python/requests-2.15[${PYTHON_USEDEP}]
gnome? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
X? (
dev-python/PyQt4[X,help,${PYTHON_USEDEP}]
diff --git a/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild b/net-analyzer/linkchecker/linkchecker-9.3.1.ebuild
similarity index 74%
copy from net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild
copy to net-analyzer/linkchecker/linkchecker-9.3.1.ebuild
index e0b3d0f0fb5..512db84e331 100644
--- a/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild
+++ b/net-analyzer/linkchecker/linkchecker-9.3.1.ebuild
@@ -1,28 +1,25 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python2_7 )
PYTHON_REQ_USE="sqlite?"
inherit bash-completion-r1 distutils-r1 eutils multilib
-MY_PN="${PN/linkchecker/LinkChecker}"
-MY_P="${MY_PN}-${PV}"
-
DESCRIPTION="Check websites for broken links"
-HOMEPAGE="https://wummel.github.com/linkchecker/ https://pypi.python.org/pypi/linkchecker/"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+HOMEPAGE="https://github.com/linkcheck/linkchecker"
+SRC_URI="https://github.com/linkcheck/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 x86 ~ppc-macos ~x64-solaris"
+KEYWORDS="~amd64 ~x86 ~ppc-macos ~x64-solaris"
IUSE="gnome sqlite X"
RDEPEND="
virtual/python-dnspython[${PYTHON_USEDEP}]
- >=dev-python/requests-2.2.1[${PYTHON_USEDEP}]
+ <dev-python/requests-2.15.0[${PYTHON_USEDEP}]
gnome? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
X? (
dev-python/PyQt4[X,help,${PYTHON_USEDEP}]
@@ -36,17 +33,13 @@ DEPEND="
RESTRICT="test"
-S="${WORKDIR}/${MY_P}"
-
python_prepare_all() {
local PATCHES=(
- "${FILESDIR}"/${PN}-9.2-unbundle.patch
- "${FILESDIR}"/${P}-bash-completion.patch
- "${FILESDIR}"/${P}-desktop.patch
- "${FILESDIR}"/${P}-requests-check.patch
- )
-
- emake -C doc/html
+ "${FILESDIR}/${PN}-9.2-unbundle.patch"
+ "${FILESDIR}/${PN}-9.3-bash-completion.patch"
+ "${FILESDIR}/${PN}-9.3-desktop.patch"
+ "${FILESDIR}/${PN}-9.3.1-build-fix.patch"
+ )
distutils-r1_python_prepare_all
}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-analyzer/linkchecker/, net-analyzer/linkchecker/files/
@ 2017-01-16 23:46 Sebastian Pipping
0 siblings, 0 replies; 5+ messages in thread
From: Sebastian Pipping @ 2017-01-16 23:46 UTC (permalink / raw
To: gentoo-commits
commit: 1579a89f5f0fbd3f5312e1a1973d87f91a94e05c
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 16 23:44:03 2017 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon Jan 16 23:45:34 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1579a89f
net-analyzer/linkchecker: Fix requests check (bug #598064)
Patch is a backport of this upstream patch:
https://github.com/wummel/linkchecker/commit/c2ce810c3fb00b895a841a7be6b2e78c64e7b042
Package-Manager: Portage-2.3.3, Repoman-2.3.1
.../files/linkchecker-9.3-requests-check.patch | 34 +++++++++
net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild | 83 ++++++++++++++++++++++
2 files changed, 117 insertions(+)
diff --git a/net-analyzer/linkchecker/files/linkchecker-9.3-requests-check.patch b/net-analyzer/linkchecker/files/linkchecker-9.3-requests-check.patch
new file mode 100644
index 00000000..905b7f7
--- /dev/null
+++ b/net-analyzer/linkchecker/files/linkchecker-9.3-requests-check.patch
@@ -0,0 +1,34 @@
+From c2ce810c3fb00b895a841a7be6b2e78c64e7b042 Mon Sep 17 00:00:00 2001
+From: Bastian Kleineidam <bastian.kleineidam@web.de>
+Date: Tue, 28 Jun 2016 21:55:10 +0200
+Subject: [PATCH] Fix python requests version check
+
+---
+ linkcheck/__init__.py | 13 ++++++++++---
+ 1 file changed, 10 insertions(+), 3 deletions(-)
+
+diff --git a/linkcheck/__init__.py b/linkcheck/__init__.py
+index 22a0cf5..1cec214 100644
+--- a/linkcheck/__init__.py
++++ b/linkcheck/__init__.py
+@@ -24,10 +24,17 @@
+ # Needs Python >= 2.7.2 which fixed http://bugs.python.org/issue11467
+ if not (hasattr(sys, 'version_info') or
+ sys.version_info < (2, 7, 2, 'final', 0)):
+- raise SystemExit("This program requires Python 2.7.2 or later.")
++ import platform
++ version = platform.python_version()
++ raise SystemExit("This program requires Python 2.7.2 or later instead of %s." % version)
++# require a reasonably recent requests module: 2.4.0 from 2014-08-29
+ import requests
+-if requests.__version__ <= '2.2.0':
+- raise SystemExit("This program requires Python requests 2.2.0 or later.")
++# PEP 396 has only version strings, bummer! PEP 386 is also not helpful.
++requests_version = requests.__version__.split('.')
++# Depends on the version scheme of Python requests
++if int(requests_version[0]) < 2 or \
++ (int(requests_version[0]) == 2 and int(requests_version[1]) < 4):
++ raise SystemExit("This program requires Python requests 2.4.0 or later instead of %s." % requests.__version__)
+
+ import os
+ # add the custom linkcheck_dns directory to sys.path
diff --git a/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild b/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild
new file mode 100644
index 00000000..c602251
--- /dev/null
+++ b/net-analyzer/linkchecker/linkchecker-9.3-r2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit bash-completion-r1 distutils-r1 eutils multilib
+
+MY_PN="${PN/linkchecker/LinkChecker}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Check websites for broken links"
+HOMEPAGE="https://wummel.github.com/linkchecker/ https://pypi.python.org/pypi/linkchecker/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~ppc-macos ~x64-solaris"
+IUSE="gnome sqlite X"
+
+RDEPEND="
+ virtual/python-dnspython[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.2.1[${PYTHON_USEDEP}]
+ gnome? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
+ X? (
+ dev-python/PyQt4[X,help,${PYTHON_USEDEP}]
+ dev-python/qscintilla-python[${PYTHON_USEDEP}]
+ )"
+DEPEND="
+ X? (
+ dev-qt/qthelp:4
+ dev-python/markdown2[${PYTHON_USEDEP}]
+ )"
+
+RESTRICT="test"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}"/${PN}-9.2-unbundle.patch
+ "${FILESDIR}"/${P}-bash-completion.patch
+ "${FILESDIR}"/${P}-desktop.patch
+ "${FILESDIR}"/${P}-requests-check.patch
+ )
+
+ emake -C doc/html
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ DOCS=(
+ doc/upgrading.txt
+ doc/python3.txt
+ doc/changelog.txt
+ doc/development.txt
+ )
+ distutils-r1_python_install_all
+ if ! use X; then
+ delete_gui() {
+ rm -rf \
+ "${ED}"/usr/bin/linkchecker-gui* \
+ "${ED}"/$(python_get_sitedir)/linkcheck/gui* || die
+ }
+ python_foreach_impl delete_gui
+ rm -f "${ED}"/usr/share/applications/linkchecker*.desktop || die
+ fi
+
+ rm -f "${ED}"/usr/share/applications/linkchecker.desktop || die
+
+ newicon doc/html/logo64x64.png ${PN}.png
+
+ docinto html
+ dodoc doc/html/*
+ newbashcomp config/linkchecker-completion ${PN}
+ optfeature "bash-completion support" dev-python/argcomplete[${PYTHON_USEDEP}]
+ optfeature "Virus scanning" app-antivirus/clamav
+ optfeature "Geo IP support" dev-python/geoip-python[${PYTHON_USEDEP}]
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2021-12-24 6:47 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-01-11 8:42 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/linkchecker/, net-analyzer/linkchecker/files/ Amy Liffey
-- strict thread matches above, loose matches on Subject: below --
2021-12-24 6:47 Sam James
2019-02-18 21:24 Pacho Ramos
2017-10-15 21:11 Patrice Clement
2017-01-16 23:46 Sebastian Pipping
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox